﻿using BPA.SAAS.Manage.Application.AExternalPlatform.BaseDto;
using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Dtos
{
    public class MaterialPageInputDto
    {
        /// <summary>
        /// 当前页码
        /// </summary>
        private int current;
        public virtual int Current
        {
            get
            {
                return current;
            }
            set
            {

                current = value;
                if (current <= 0)
                {
                    current = 1;
                }
            }
        }

        /// <summary>
        /// 页码容量
        /// </summary>
        private int pagesize;
        public virtual int PageSize
        {
            get
            {
                return pagesize;
            }
            set
            {

                pagesize = value;
                if (pagesize <= 0)
                {
                    pagesize = 10;
                }
            }
        }

        public string Name { get; set; }
    }
    public class MaterialDto 
    {
        public string Id { get; set; }
        /// <summary>
        /// 原料编码
        /// </summary> 
        public string Code { get; set; }

        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }

        /// <summary>
        /// 原料类型Id
        /// </summary>           
        public string TypeId { get; set; }

        /// <summary>
        /// 原料类型名称
        /// </summary>   
        public string TypeName { get; set; }

        /// <summary>
        /// 物料单位Id
        /// </summary> 
        public string UintId { get; set; }


        /// <summary>
        /// 物料单位名称
        /// </summary>
        public string UintName { get; set; }

    }

    public class DelMaterialDto 
    {
        public List<string> Ids { get; set; }

    }

    public class MaterialCreateDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 原料名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 物料类型Id
        /// </summary>
        public string TypeId { get; set; }
        /// <summary>
        /// 物料类型名称
        /// </summary>
        public string TypeName { get; set; }
        /// <summary>
        /// 物料单位Id
        /// </summary>
        public string UintId { get; set; }
        /// <summary>
        /// 物料单位名称
        /// </summary>
        public string UintName { get; set; }
    }

    public class MaterialUpdateDto 
    {
        public string Id { get; set; }

        /// <summary>
        /// 原料编码
        /// </summary> 
        public string Code { get; set; }

        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }

       

        /// <summary>
        /// 原料类型名称
        /// </summary>   
        public string TypeName { get; set; }


        /// <summary>
        /// 物料单位名称
        /// </summary>
        public string UintName { get; set; }

    }

    public class MaterialTypeDto
    {
        public string Id { get; set; }

        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }
    }

    public class DefaultUintDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
    }
}
