﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Goods;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IGoodsClassifyService
    {
        /// <summary>
        /// 分页获取商品分类
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<PageUtil<List<GoodsClassifyDataDto>>> GetGoodsClassifyPage(GoodsClassifyDto dto);

        /// <summary>
        /// 更新商品分类
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> UpdateGoodsClassify(GoodsClassifyDataDto dto);

        /// <summary>
        /// 删除商品分类
        /// </summary>
        /// <param name="ids"></param>
        /// <returns></returns>
        Task<bool> DeleteGoodsClassify(string ids);

        /// <summary>
        /// 根据分类获取商品
        /// </summary>
        /// <param name="classifyId"></param>
        /// <returns></returns>
        Task<List<RelationGoodsIdDto>> GetRelation(string classifyId);

        /// <summary>
        /// 设置商品的分类
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> SetRelation(RelationDto dto);
    }
}
