﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Recipe;
using BPA.SAAS.Manage.Application.DataBase.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase
{
    [ApiDescriptionSettings("Recipe", Tag = "配方信息")]
    public class RecipeServices : IDynamicApiController
    {
        IRecipeService _recipeService;
        public RecipeServices(IRecipeService recipeService)
        {
            _recipeService = recipeService;
        }

        /// <summary>
        /// 获取配方分组
        /// </summary>
        /// <returns></returns>
        [HttpGet("/api/recipe/getRecipeGroupList")]
        public async Task<List<RecipeGroupDto>> GetRecipeGroupList()
        {
            return await _recipeService.GetRecipeGroupList();
        }

        /// <summary>
        /// 更新配方分组
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/recipe/updataRecipeGroup")]
        public async Task<bool> UpdataRecipeGroup(RecipeGroupDto dto)
        {
            return await _recipeService.UpdataRecipeGroup(dto);
        }

        /// <summary>
        /// 删除配方分组
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/recipe/deleteRecipeGroup")]
        public async Task<bool> DeleteRecipeGroup(string id)
        {
            return await _recipeService.DeleteRecipeGroup(id);
        }

        /// <summary>
        /// 通过配方分组获取配方信息
        /// </summary>
        /// <param name="recipeGroupId"></param>
        /// <returns></returns>
        [HttpGet("/api/recipe/getRecipeInfoList")]
        public async Task<List<RecipeInfoDto>> GetRecipeInfoList(string recipeGroupId)
        {
            return await _recipeService.GetRecipeInfoList(recipeGroupId);
        }
    }
}
